"""Sample script

 Exercise; 
 porting from Casio Basic
 "Monte Carlo Method"
  ver 3.0

 by Krtyski/e-Gadget
"""
from random import *
from u import *

#initializing
n_try=500
ins=0;outs=0
prev_outs=0
prev_pai=0
r=90 #radius
dx=290;dy=96 #center

#dislay menu to select try#
while 1:
 print('\nMonte Carlo: calc Pi')
 print('\n# of try:'+str(n_try))
 print('[EXE] to start.')
 temp_try=input('\nChange the #?:')
 if temp_try.isdigit():
  n_try=int(temp_try)
  break
 elif temp_try=='':
  break
 else:
  continue

#display graphics
clear_screen()
circle (290,96,90,'red') #red circle
locate(1,0,'C=')
locate(0,1,'pi=')
locate(0,10,'# of try:'+str(n_try))
locate(0,11,'AC:Quit')

while outs<n_try:
 x=1-2*random()
 y=1-2*random()
 set_pixel(int(dx+r*x),int(dy+r*y),grp_color('blue')) #blue plots
 if (x**2+y**2)<1:
  ins+=1
 outs+=1
 locate(3,0,str(prev_outs),color=0,show=0)
 locate(3,1,str(prev_pai),color=0,show=0)
 pai=round(4*ins/outs,11)
 prev_outs=outs
 prev_pai=pai
 locate(3,0,str(outs),show=0)
 locate(3,1,str(pai))

locate(0,11,'AC:Quit',color=0)
locate(0,11,'Finish=>[EXIT]')